Skip to main content
POST
/
v1
/
deployments
/
{deploymentId}
/
workbooks
/
{workbookId}
/
publish
Publish dashboard
curl --request POST \
  --url https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/workbooks/{workbookId}/publish \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workbookId": 123,
  "config": {
    "widgets": [
      {
        "id": "<string>",
        "position": {
          "h": 123,
          "w": 123,
          "x": 123,
          "y": 123
        },
        "config": {},
        "responsiveLayouts": {
          "lg": {
            "h": 123,
            "w": 123,
            "x": 123,
            "y": 123
          },
          "md": {
            "h": 123,
            "w": 123,
            "x": 123,
            "y": 123
          },
          "sm": {
            "h": 123,
            "w": 123,
            "x": 123,
            "y": 123
          },
          "xs": {
            "h": 123,
            "w": 123,
            "x": 123,
            "y": 123
          },
          "xxs": {
            "h": 123,
            "w": 123,
            "x": 123,
            "y": 123
          }
        },
        "style": {}
      }
    ],
    "description": "<string>",
    "layout": {
      "breakpoints": {
        "lg": 123,
        "md": 123,
        "sm": 123,
        "xs": 123,
        "xxs": 123
      },
      "cols": {
        "lg": 123,
        "md": 123,
        "sm": 123,
        "xs": 123,
        "xxs": 123
      },
      "containerPadding": [
        123
      ],
      "margin": [
        123
      ],
      "rowHeight": 123
    },
    "settings": {},
    "theme": {
      "backgroundColor": "<string>",
      "controls": {
        "backgroundColor": "<string>",
        "border": {
          "color": "<string>",
          "radius": "<string>",
          "style": "<string>",
          "width": "<string>"
        },
        "padding": "<string>",
        "title": {
          "color": "<string>",
          "fontFamily": "<string>",
          "fontSize": "<string>",
          "fontWeight": "<string>"
        }
      },
      "dashboard": {
        "backgroundColor": "<string>",
        "padding": "<string>"
      },
      "fontFamily": "<string>",
      "primaryColor": "<string>",
      "themeId": "<string>",
      "widgets": {
        "backgroundColor": "<string>",
        "border": {
          "color": "<string>",
          "radius": "<string>",
          "style": "<string>",
          "width": "<string>"
        },
        "margin": "<string>",
        "padding": "<string>",
        "text": {
          "codeFontFamily": "<string>",
          "color": "<string>",
          "fontFamily": "<string>",
          "secondaryColor": "<string>"
        },
        "title": {
          "color": "<string>",
          "fontFamily": "<string>",
          "fontSize": "<string>",
          "fontWeight": "<string>"
        }
      }
    },
    "title": "<string>"
  },
  "dashboardId": 123,
  "description": "<string>",
  "title": "<string>"
}
'
{
  "allowEmbed": true,
  "config": {
    "description": "<string>",
    "layout": {
      "breakpoints": {
        "lg": 123,
        "md": 123,
        "sm": 123,
        "xs": 123,
        "xxs": 123
      },
      "cols": {
        "lg": 123,
        "md": 123,
        "sm": 123,
        "xs": 123,
        "xxs": 123
      },
      "containerPadding": [
        123
      ],
      "margin": [
        123
      ],
      "rowHeight": 123
    },
    "settings": {},
    "theme": {},
    "title": "<string>",
    "widgets": [
      {
        "id": "<string>",
        "position": {
          "h": 123,
          "w": 123,
          "x": 123,
          "y": 123
        },
        "config": {},
        "responsiveLayouts": {
          "lg": {
            "h": 123,
            "w": 123,
            "x": 123,
            "y": 123
          },
          "md": {
            "h": 123,
            "w": 123,
            "x": 123,
            "y": 123
          },
          "sm": {
            "h": 123,
            "w": 123,
            "x": 123,
            "y": 123
          },
          "xs": {
            "h": 123,
            "w": 123,
            "x": 123,
            "y": 123
          },
          "xxs": {
            "h": 123,
            "w": 123,
            "x": 123,
            "y": 123
          }
        },
        "style": {}
      }
    ]
  },
  "deploymentId": 123,
  "id": 123,
  "publicId": "<string>",
  "reportSnapshots": [
    {
      "id": 123,
      "reportId": 123,
      "versionNumber": 123,
      "description": "<string>",
      "meta": {},
      "name": "<string>",
      "preferences": {
        "columnFormats": {}
      },
      "spec": "<string>",
      "sqlQuery": "<string>",
      "title": "<string>"
    }
  ],
  "versionId": 123,
  "versionNumber": 123,
  "workbookId": 123,
  "createdBy": 123,
  "description": "<string>",
  "title": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Send Authorization: Api-Key <YOUR_API_KEY>.

Path Parameters

deploymentId
number
required
workbookId
number
required

Body

application/json

PublishDashboardInput

workbookId
integer
required
config
object
dashboardId
integer | null
description
string | null
title
string | null

Response

200 - application/json
allowEmbed
boolean
required
config
object
required
deploymentId
integer
required
id
integer
required
publicId
string
required
reportSnapshots
object[]
required
status
enum<string>
required
Available options:
draft,
published,
archived
versionId
integer
required
versionNumber
integer
required
workbookId
integer
required
createdBy
integer | null
description
string | null
title
string | null